%define pre %nil
%define qt_ver_major 3
%define qtdir %_libdir/qt%qt_ver_major
%define kdedir %(kde-config --prefix)

Name: tuneroid
Version: 0.9.3
Release: alt0.6%pre

Summary: An instrumental tuner
Group: Sound
License: GPL
Url: http://www.uid0.sk/zyzstar/?%name

Source: %name-%version%pre.tar.bz2
#Source1: %name.ru.po

# Automatically added by buildreq on Fri Sep 12 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libGLwrapper libalsa-devel libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
tuneroid is a tuner for a variety of musical instruments.

%prep
%setup -q
#%__install -m644 %SOURCE1 po/ru.po

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%make -f admin/Makefile.common

%configure --disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Sound" \
    %buildroot/%_datadir/applnk/Multimedia/%name.desktop \
    %buildroot/%_menudir/%name

# icon
%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applnk/*/*
%_datadir/apps/%name
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.6
- rebuild

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.5
- new version.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.5rc1
- First build for Sisyphus.
- Russian translation (Alexandre Prokoudine).
